Last Comment Bug 761153 - Use the same preferences for enabling and configuring the remote debugging server across products
: Use the same preferences for enabling and configuring the remote debugging se...
Status: RESOLVED FIXED
:
Product: Firefox
Classification: Client Software
Component: Developer Tools: Debugger (show other bugs)
: Trunk
: All All
: P2 normal (vote)
: Firefox 16
Assigned To: Panos Astithas [:past]
:
Mentors:
Depends on:
Blocks: 762403
  Show dependency treegraph
 
Reported: 2012-06-04 07:41 PDT by Panos Astithas [:past]
Modified: 2012-06-15 17:41 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Desktop patch (2.41 KB, patch)
2012-06-04 10:01 PDT, Panos Astithas [:past]
dtownsend: review+
akeybl: approval‑mozilla‑aurora+
Details | Diff | Review
Fennec patch (3.80 KB, patch)
2012-06-04 10:02 PDT, Panos Astithas [:past]
mark.finkle: review+
Details | Diff | Review
B2G patch (1.42 KB, patch)
2012-06-04 10:04 PDT, Panos Astithas [:past]
21: review+
Details | Diff | Review

Description Panos Astithas [:past] 2012-06-04 07:41:45 PDT
Currently we are using different preferences to enable the remote debugging server across desktop Firefox, Firefox for Android and B2G, and to configure the port number:

- Desktop: devtools.debugger.remote-enabled, devtools.debugger.remote-port
- B2G: devtools.debugger.enabled, devtools.debugger.port
- Android: remote-debugger.enabled, remote-debugger.port

This has not been a big deal so far, but since we are going to be providing users with docs about enabling remote debugging soon, I think it's time we fix this discrepancy. After bug 758696, the check for devtools.debugger.remote-enabled is done in two places:
1) in the desktop UI, to decide whether the 'Remote Debugger' menu option should be displayed
2) in the server listener, to decide whether it should open a socket for incoming connections

The latter is done in toolkit/ so the respective pref must move there as well, in order to be reachable from other products as well.

In order to harmonize our code, I propose we use the same preferences found in desktop Firefox, in all of our products.
Comment 1 Panos Astithas [:past] 2012-06-04 10:01:05 PDT
Created attachment 629833 [details] [diff] [review]
Desktop patch

Nice and simple.
Comment 2 Panos Astithas [:past] 2012-06-04 10:02:51 PDT
Created attachment 629834 [details] [diff] [review]
Fennec patch

Without this patch I need to manually set devtools.debugger.remote-enabled in about:config to get a working debugging connection.
Comment 3 Panos Astithas [:past] 2012-06-04 10:04:27 PDT
Created attachment 629835 [details] [diff] [review]
B2G patch

Same as Fennec, I need to set devtools.debugger.remote-enabled to enable remote debugging without this patch.
Comment 4 Panos Astithas [:past] 2012-06-07 02:35:36 PDT
Comment on attachment 629833 [details] [diff] [review]
Desktop patch

Actually, since this is not devtools code and robcee is on PTO, I might as well ask Mossop for a review.
Comment 7 Rob Campbell [:rc] (:robcee) 2012-06-11 10:48:41 PDT
do we need all three of these patches on aurora?
Comment 8 Rob Campbell [:rc] (:robcee) 2012-06-11 10:51:12 PDT
Comment on attachment 629833 [details] [diff] [review]
Desktop patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): New feature.
User impact if declined: different platforms will have different configuration options.
Testing completed (on m-c, etc.): on m-c.
Risk to taking this patch (and alternatives if risky): low risk, pref changes only.
String or UUID changes made by this patch:
Pref changes to firefox.js:

-pref("devtools.debugger.remote-enabled", false);
 pref("devtools.debugger.remote-host", "localhost");
-pref("devtools.debugger.remote-port", 6000);

Pref changes to all.js:

+// Disable remote debugging connections
+pref("devtools.debugger.remote-enabled", false);
+pref("devtools.debugger.remote-port", 6000);
Comment 9 Alex Keybl [:akeybl] 2012-06-11 13:42:55 PDT
Comment on attachment 629833 [details] [diff] [review]
Desktop patch

[Triage Comment]
Low risk pref change early in the cycle - approved for Aurora 15.
Comment 10 Panos Astithas [:past] 2012-06-12 01:20:41 PDT
(In reply to Rob Campbell [:rc] (:robcee) from comment #7)
> do we need all three of these patches on aurora?

I'm not exactly sure what the releng process for fennec and b2g is, but not getting them all in could create logistical issues down the road for us.

Note You need to log in before you can comment on or make changes to this bug.